%if "%{?rhel}" == "6" 
%global _jarsign_opts --unsign=%{_javadir} --skip=/usr/share/java-signed
%endif

%bcond_without mead
%define _jarsign_opts --copy=%{_javadir} --unsign=%{_javadir}

%define section .Final
%define reltag _redhat_1
%define namedreltag -redhat-1
%global namedversion  %{version}%{?section}%{?namedreltag}

%define maven_version 1.0.1.Final-redhat-1

Name: httpserver
Summary: Lightweight HTTP Server
Version: 1.0.1
Release: 2%{?section}%{?reltag}%{?dist}
License: GPLv2 (with classpath exception)
Group: Development/Java

%if %with mead
Source100: org.jboss.com.sun.httpserver-httpserver-1.0.1.Final-redhat-1-sources.zip
Source101: org.jboss.com.sun.httpserver-httpserver-1.0.1.Final-redhat-1-patches.zip
Source102: httpserver-1.0.1.Final-redhat-1-javadoc.jar
Source103: httpserver-1.0.1.Final-redhat-1.jar
Source104: httpserver-1.0.1.Final-redhat-1.pom
Source105: httpserver-1.0.1.Final-redhat-1-sources.jar
%endif

URL: http://www.jboss.org/

BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
BuildArch: noarch

%if %without mead
BuildRequires: %{name}-mead
%endif
BuildRequires: unzip

Requires:       jpackage-utils
Requires(post):       jpackage-utils
Requires(postun):     jpackage-utils

%description
Lightweight HTTP Server.

%package javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation

Requires:       jpackage-utils

%description javadoc
Javadoc for Lightweight HTTP Server.

%prep
                                                                                                     
%build
                                                                                                     
%install
rm -rf %{buildroot}
%{__mkdir_p} %{buildroot}%{_javadir}

#jars
%if %without mead
install -pD -T -m 644 %{_javadir}/jbossas-fordev/%{name}-%{namedversion}.jar %{buildroot}%{_javadir}/%{name}-%{namedversion}.jar
install -pD -T -m 644 %{_javadir}/jbossas-fordev/%{name}-%{namedversion}-sources.jar %{buildroot}%{_javadir}/%{name}-%{namedversion}-sources.jar
%else
%{__cp} -p %{_sourcedir}/%{name}-%{namedversion}.jar %{buildroot}%{_javadir}/%{name}-%{namedversion}.jar
%{__cp} -p %{_sourcedir}/%{name}-%{namedversion}-sources.jar %{buildroot}%{_javadir}/%{name}-%{namedversion}-sources.jar
%endif
(cd %{buildroot}%{_javadir} && ln -s %{name}-%{namedversion}.jar %{name}.jar)
(cd %{buildroot}%{_javadir} && ln -s %{name}-%{namedversion}-sources.jar %{name}-sources.jar)

#poms
%{__mkdir_p} %{buildroot}%{_mavenpomdir}
%if %without mead
install -pD -T -m 644 %{_javadir}/jbossas-fordev/%{name}-%{namedversion}.pom %{buildroot}%{_mavenpomdir}/JPP-httpserver.pom
%else
%{__cp} -p %{_sourcedir}/%{name}-%{namedversion}.pom %{buildroot}%{_mavenpomdir}/JPP-httpserver.pom
%endif

%add_to_maven_depmap org.jboss.com.sun.httpserver httpserver %{namedversion} JPP httpserver

#javadoc
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{namedversion}
%if %without mead
unzip -d $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{namedversion} %{_javadir}/jbossas-fordev/%{name}-%{namedversion}-javadoc.jar
%else
unzip -d $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{namedversion} %{_sourcedir}/%{name}-%{namedversion}-javadoc.jar
%endif

rm -rf $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{namedversion}/META-INF
(cd $RPM_BUILD_ROOT%{_javadocdir} && ln -s %{name}-%{namedversion} %{name})

%clean
rm -rf %{buildroot}
                                                                                                     
%post
%update_maven_depmap

%postun
%update_maven_depmap
                                                                                                     
%files
%defattr(0644,root,root,0755)
%{_javadir}*/*jar
%{_datadir}/maven2/poms/*
%{_mavendepmapfragdir}/*

%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{name}
%{_javadocdir}/%{name}-%{namedversion}

%changelog
* Fri May 04 2012 Yong Yang <yyang@redhat.com> - 0:1.0.1-2.Final_redhat_1
- Correct release number

* Thu May 03 2012 Yong Yang <yyang@redhat.com> - 0:1.0.1-1.Final_redhat_1
- Upgrade to 1.0.1.Final

* Tue Mar 13 2012 Lin Gao <lgao@redhat.com> - 0:1.0.0-7.Final_redhat_1.3
- Requires jpackage-utils in javadoc subpackage

* Tue Mar 13 2012 Lin Gao <lgao@redhat.com> - 0:1.0.0-7.Final_redhat_1.2
- Rebuild

* Tue Mar 13 2012 Lin Gao <lgao@redhat.com> - 0:1.0.0-7.Final_redhat_1.1
- Rebuild to use new wrapper

* Tue Feb 21 2012 Weinan Li <weli@redhat.com> - 0:1.0.0-7.Final
- Upgrade to 1.0.0.Final

* Wed Dec 14 2011 Lin Gao <lgao@redhat.com> - 0:1.0.0-6.Beta3_redhat_1
- Upgrade to 1.0.0.Beta3

* Mon Nov 14 2011 Lin Gao <lgao@redhat.com> - 0:1.0.0-5.Beta2_redhat_1
- build rpm format

* Wed Oct 26 2011 Lin Gao <lgao@redhat.com> - 0:1.0.0-4
- upgrade to 1.0.0.Beta2

* Thu Aug 18 2011 Lin Gao <lgao@redhat.com> - 0:1.0.0-3
- change to productization git repository
- wolf pharse build

* Tue May 24 2011 Fernando Nasser <fnasser@redhat.com> - 0:1.0.0-1
- Placeholder
